bencode-0.6.0.0: Parser and printer for bencoded data.

Copyright | (c) 2005 Jesper Louis Andersen <jlouis@mongers.org> 2006 Lemmih <lemmih@gmail.com>
License | BSD3
Maintainer | lemmih@gmail.com
Stability | believed to be stable
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Data.BEncode.Lexer

Description

# Documentation

data Token #

Constructors

TDict |
TList |
TInt |
TString ByteString |
TNumber Integer |
TEnd |

Instances

Eq Token # |
Methods (==) :: Token -> Token -> Bool # (/=) :: Token -> Token -> Bool #
Show Token # |
Methods showsPrec :: Int -> Token -> ShowS # show :: Token -> String # showList :: [Token] -> ShowS #

lexer :: ByteString -> [Token] #